/*
 * const_flt.h
 *
 *  Created on: 04-06-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef CONST_FLT_H_
#define CONST_FLT_H_

#include "tdefs.h"

struct const_flt_logic
{
	float *out;
};

struct const_flt_io
{
	u32 out_float_out;
}__attribute__((__packed__));

struct const_flt_params
{
	double val;
}__attribute__((__packed__));

struct const_flt_args
{
	struct const_flt_io io;
	struct const_flt_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int const_flt_initlog(void *arguments, void *logic);

#endif /* CONST_FLT_H_ */
